Subject: Re: bug#34580: Service ssh-daemon could not be started

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 28 Sep 2019 15:54:57 +0200

On Sat, Sep 28, 2019 at 07:38:49AM -0500, Brant Gardner wrote:
> Hi Ludo;
> 
> Okay, I did those steps exactly:
> 
>   - clone
>   - patch -p1 < your-patch
>   - ./bootstrap
>   - ./configure --localstatedir=/var
>   - make check
>   - sudo -E ./pre-inst-env guix system reconfigure /path/to/myconfig.scm
>   - reboot
> 
> I had no issues or errors at any step and on reboot ssh-daemon tried & failed to start so all went according to plan, but /tmp does *not* have a ssh log file in it.
> 
> Not sure where this went sideways, any advice?
> 
> Thank you,
> 

Perhaps /tmp is the wrong directory to store such an early log?  I
have a Guix virtual machine where ssh-daemon, httpd, php-fpm and
term-auto cannot be started on boot.  /var/log/debug contains:

Sep 28 15:47:00 localhost vmunix: [    0.898260] Write protecting the kernel read-only data: 18432k
Sep 28 15:47:00 localhost vmunix: [    0.900802] Freeing unused kernel image memory: 2036K
Sep 28 15:47:00 localhost vmunix: [    0.902187] Freeing unused kernel image memory: 72K
Sep 28 15:47:00 localhost vmunix: [    0.903142] Run /init as init process
Sep 28 15:47:00 localhost vmunix: [    1.168976] usbcore: registered new interface driver usb-storage
Sep 28 15:47:00 localhost vmunix: [    1.184777] usbcore: registered new interface driver uas
Sep 28 15:47:00 localhost vmunix: [    1.202265] hidraw: raw HID events driver (C) Jiri Kosina
Sep 28 15:47:01 localhost shepherd[1]: Service ssh-daemon could not be started. 
Sep 28 15:47:01 localhost vmunix: [    1.204318] usbcore: registered new interface driver usbhid
Sep 28 15:47:01 localhost vmunix: [    1.204320] usbhid: USB HID core driver
Sep 28 15:47:01 localhost vmunix: [    1.270227] isci: Intel(R) C600 SAS Controller Driver - version 1.2.0
Sep 28 15:47:01 localhost vmunix: [    1.445126] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
Sep 28 15:47:01 localhost vmunix: [    2.387966] random: fast init done
Sep 28 15:47:01 localhost vmunix: [    3.554499] random: ssh-keygen: uninitialized urandom read (32 bytes read)
Sep 28 15:47:01 localhost vmunix: [    4.219031] random: shepherd: uninitialized urandom read (4096 bytes read)
Sep 28 15:47:02 localhost vmunix: [    4.615089] random: crng init done
Sep 28 15:47:02 localhost vmunix: [    5.199788] shepherd[1]: Service root has been started.
Sep 28 15:47:02 localhost vmunix: [    6.559652] shepherd[1]: starting services...
Sep 28 15:47:02 localhost vmunix: [    6.563503] shepherd[1]: Service root-file-system has been started.
Sep 28 15:47:02 localhost vmunix: [    6.567531] shepherd[1]: Service user-file-systems has been started.
Sep 28 15:47:02 localhost vmunix: [    6.656184] shepherd[1]: waiting for udevd...

I do not know if this is a problem with the order in which services,
crng, mounting start.

Regards,
Florian